> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Bill Draft

> GET detail + PATCH update on a single BillDraft.



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /coa/api/v1/bill-draft/{id}
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /coa/api/v1/bill-draft/{id}:
    get:
      tags:
        - Accounts Payable
      summary: Retrieve Bill Draft
      description: GET detail + PATCH update on a single BillDraft.
      operationId: get_bill_draft
      parameters:
        - in: path
          name: id
          schema:
            type: integer
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BillDraftRead'
          description: ''
      security:
        - knoxApiToken: []
components:
  schemas:
    BillDraftRead:
      type: object
      description: Full BillDraft read shape — feeds the Drafts tab and detail view.
      properties:
        id:
          type: integer
          readOnly: true
        customer:
          type: integer
          readOnly: true
        entity:
          type: integer
          nullable: true
        source:
          $ref: '#/components/schemas/BillDraftReadSourceEnum'
        source_file:
          type: integer
          nullable: true
        sender_email:
          type: string
          nullable: true
        recipient_alias:
          type: string
          nullable: true
        email_subject:
          type: string
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/BillDraftReadStatusEnum'
          readOnly: true
        parse_error:
          type: string
          nullable: true
        extracted_vendor_name:
          type: string
          nullable: true
        extracted_bill_number:
          type: string
          nullable: true
        extracted_bill_date:
          type: string
          format: date
          nullable: true
        extracted_due_date:
          type: string
          format: date
          nullable: true
        extracted_currency:
          type: string
          nullable: true
          maxLength: 3
        extracted_total_amount:
          type: number
          format: double
          maximum: 100000000000000
          minimum: -100000000000000
          exclusiveMaximum: true
          exclusiveMinimum: true
          nullable: true
        extracted_line_items: {}
        field_confidence: {}
        resolved_vendor:
          type: integer
          nullable: true
        dedup_hash:
          type: string
          readOnly: true
          nullable: true
        promoted_bill:
          type: integer
          nullable: true
          readOnly: true
        discard_reason:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        created_by:
          type: integer
          nullable: true
          readOnly: true
        last_modified_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - created_by
        - customer
        - dedup_hash
        - id
        - last_modified_at
        - promoted_bill
        - source
        - status
    BillDraftReadSourceEnum:
      enum:
        - email
        - ui_upload
      type: string
      description: |-
        * `email` - Email
        * `ui_upload` - UI Upload
    BillDraftReadStatusEnum:
      enum:
        - parsing
        - parse_failed
        - not_a_bill
        - needs_review
        - unassigned
        - ready
        - promoted
        - discarded
      type: string
      description: |-
        * `parsing` - Parsing
        * `parse_failed` - Parse Failed
        * `not_a_bill` - Not a Bill
        * `needs_review` - Needs Review
        * `unassigned` - Unassigned
        * `ready` - Ready
        * `promoted` - Promoted
        * `discarded` - Discarded
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````